function MLS_quiver(f)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
[y,x,zz] = size(f);

[X,Y] = meshgrid(1:max(y,x));

if x > y
    X(y+1:end,:) = [];
    Y(y+1:end,:) = [];   
else
    X(:,x+1:end) = [];
    Y(:,x+1:end) = []; 
end

% remove the noncomputed part
X(f(:,:,1)==0) = 0;
Y(f(:,:,1)==0) = 0;

%
X = X-f(:,:,2);
Y = Y-f(:,:,1);



figure
quiver(X,Y)
surf(sqrt(X.^2+Y.^2)','LineStyle','none')
%zlim([1 max(max(sqrt(X.^2+Y.^2)))])